Description

| think this may be a bug, but maybe I'm just doing something wrong. Setting up larsoft and sam_web_client on an SLF7 node
creates a python clash. To reproduce, from a bare login on dunesl7gpvm01.fnal.gov and execute the commands below. The first
samweb command lists files -- and there is no python set up -- it uses the system python. If | setup larsoft, | get python v2_7_14b -f
Linux64bit+3.10-2.17 out of CVMFS (64-bit), which may be missing _socketmodule.so, so python looks in the system python install
for it and finds a 32-bit library. Maybe this is one for the service desk and not a larsoft problem?

source /cvmfs/fermilab.opensciencegrid.org/products/larsoft/setup

source /cvmfs/larsoft.opensciencegrid.org/products/setup

export PRODUCTS=/cvmfs/fermilab.opensciencegrid.org/products/common/db:$SPRODUCTS
setup sam_web_client

export SAM_EXPERIMENT=dune

samweb list-files "file_name like npO04%"

setup larsoft v06_75_00 —-g elS5:prof

ups active | grep python

samweb list-files "file_name like np04%"

Traceback (most recent call last):

File "/cvmfs/fermilab.opensciencegrid.org/products/common/db/../prd/sam_web_client/v2_0/NULL/bin/samweb", line 11, in <module>
import samweb_cli

File "/cvmfs/fermilab.opensciencegrid.org/products/common/prd/sam_web_client/v2_0/NULL/python/samweb_cli.py", line 2, in
<module>

from urllib import urlencode, quote, quote_plus

File "/usr/lib/python2.7/urllib.py", line 26, in <module>

import socket

File "/usr/lib/python2.7/socket.py", line 47, in <module>

import _socket

ImportError: /usr/lib/python2.7/lib-dynload/_socketmodule.so: wrong ELF class: ELFCLASS32

History

#1 - 05/07/2018 10:29 AM - Lynn Garren

- Status changed from New to Feedback

We do not recommend putting common first in your products list. We think if it is last, as intended, you will not have any problems. Let us know if this
resolves the issue.

#2 - 05/25/2018 03:50 PM - Tingjun Yang

Lynn Garren wrote:
We do not recommend putting common first in your products list. We think if it is last, as intended, you will not have any problems. Let us know
if this resolves the issue.

Hi Lynn,

Here is my products list:

echo $PRODUCTS

/evmfs/dune.opensciencegrid.org/products/dune:/cvmfs/larsoft.opensciencegrid.org/products:/cvmfs/fermilab.opensciencegrid.org/products/larsoft:/cv
mfs/fermilab.opensciencegrid.org/products/common/db
and | am having the same trouble running samweb on a slf7 machine:

samweb
Traceback (most recent call last):
File "/cvmfs/fermilab.opensciencegrid.org/products/common/db/../prd/sam_web_client/v2_0/NULL/bin/samweb", 1i
ne 11, in <module>
import samweb_cli
File "/cvmfs/fermilab.opensciencegrid.org/products/common/prd/sam_web_client/v2_0/NULL/python/samweb_cli.py"
, line 2, in <module>
from urllib import urlencode, quote, quote_plus
File "/usr/lib/python2.7/urllib.py", line 26, in <module>
import socket
File "/usr/lib/python2.7/socket.py", line 47, in <module>
import _socket
ImportError: /usr/lib/python2.7/lib-dynload/_socketmodule.so: wrong ELF class: ELFCLASS32

Here is the python version:

ups active | grep python

python v2_7_14b —-f Linux64bit+3.10-2.17 -z /cvmfs/larsoft.opensciencegrid
.org/products

If | do unsetup python and use the system python:

[duneOl.fnal.gov] unsetup python

[duneOl.fnal.gov] python --version

Python 2.7.5

samweb works again.

#3 - 05/29/2018 11:21 AM - Lynn Garren

It appears that sam_web_client has some parts that explicitly pick up the system python in preference to the ups product. This is a problem for FIFE.
| will send an email to the responsible people.

#4 - 05/29/2018 11:25 AM - Robert lllingworth

Can you try sam_web_client v2_2? | seem to remember trying to address something similar involving SL7.
#5 - 05/29/2018 11:30 AM - Tingjun Yang
Robert lllingworth wrote:

Can you try sam_web_client v2_27? | seem to remember trying to address something similar involving SL7.

Hi Robert,
| confirm sam_web_client v2_2 works on SL7. Is there a plan to make it the default version?

Thanks,
Tingjun

#6 - 05/29/2018 11:31 AM - Robert lllingworth
See Bug #16658 (#! line on samweb script breaks on sI7 if LD_LIBRARY_PATH is set) - this seems like it could have the same underlying cause.

#7 - 05/29/2018 11:33 AM - Robert lllingworth

I'm not sure why v2_2 isn't the default already - probably just an oversight.

#8 - 07/20/2018 10:50 AM - Lynn Garren

| believe that this has been resolved. Tom, would you confirm that?

#9 - 07/20/2018 10:59 AM - Tingjun Yang

Lynn Garren wrote:

I believe that this has been resolved. Tom, would you confirm that?

04/16/2021 2/3


https://cdcvs.fnal.gov/redmine/issues/16658

ups list -aK+ sam_web_client

"Sam web Cllent " "vl 3" "NULL" nn nn
"Sal’l’l web client " "vl 6" "NULL" nn nn

" Sam_web_client " llv1_8 " llNULL" nn nn
"sam_web_client" "v1_4_1" "NULL" "" ""
"sam_web_client" "v2_2" "NULL" "" "test"
" Sam_web_client " llv1_5 " llNULL" nn nn
"Sam web Cllent " "v2 1" "NULL" nn nn
"Sal’l’l web client " "vl 2" "NULL" nn nn

" Sam_web_client " llvl_o " llNULL" nn nn
"Sam web Cllent " "vl 9" "NULL" nn nn
"sam_web_client" "v2_0" "NULL" "" "current"
" Sam_web_client " llv1_7 " llNULL" nn nn
"Sam web Cllent " "vl 1" "NULL" nn nn
"Sam_web_cliel’lt " llv1_4 " "NULL" nn nn

It seems v2_0 is still the default one. And | just confirmed the problem on sI7 still persists.

#10 - 07/20/2018 11:02 AM - Lynn Garren

Tingjun, would you open a service now ticket asking for v2_2 to be made current?

#11 - 07/20/2018 11:15 AM - Tingjun Yang

Lynn Garren wrote:

Tingjun, would you open a service now ticket asking for v2_2 to be made current?

RITM0708811

#12 - 07/20/2018 12:04 PM - Tingjun Yang
Tingjun Yang wrote:

Lynn Garren wrote:

Tingjun, would you open a service now ticket asking for v2_2 to be made current?

RITMO0708811

2018-07-20 12:00:32 CDT - Robert lllingworth (Additional comments (customer communication))
v2_2 has an issue that causes some previously valid uses of the command line to break. So | don't think we can make it the default. And releasing a
fixed version hasn't been a high priority recently.

#13 - 07/20/2018 12:06 PM - Lynn Garren
I think DUNE can press the case for this, provided this is considered a priority fix for DUNE.
